
QGIS Application - Bug report #7958

Crash when switch off a WMS layer while you edit a vectorlayer

2013-05-31 05:22 AM - Victor Axbom

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 16817

Description

To reproduce this crash:

Add two layers, a vector layer and a wms layer. Set the vector layer in edit mode and use the node tool to select nodes in a polygon/line.

Without switching off the edit mode or node tool, click the checkbox of the wms layer to hide it. Now try to move nodes in the vector layer

without selecting the layer first. Qgis will crash because the layer isn't selected but the node tool is still active.

Related issues:

Related to QGIS Application - Bug report # 7351: Crash with node tool when on... Closed 2013-03-13

History

#1 - 2013-05-31 07:22 AM - Giovanni Manghi

- Status changed from Open to Feedback

this happens really on master on on qgis 1.8?

#2 - 2013-05-31 07:29 AM - Victor Axbom

It happens both on master and 1.8

Giovanni Manghi wrote:

this happens really on master on on qgis 1.8?

#3 - 2013-05-31 07:31 AM - Giovanni Manghi

Victor Axbom wrote:

It happens both on master and 1.8

Giovanni Manghi wrote:

this happens really on master on on qgis 1.8?

are you using a recent revision of qgis master? I have the feeling that this bug was already fixed, but now I'm not sure anymore.
#4 - 2013-05-31 07:37 AM - Giovanni Manghi

- Operating System deleted (Windows)

- OS version deleted (XP)

- Priority changed from Normal to High

- Status changed from Feedback to Open

Confirmed on Win 7 and Linux. I would like to tag this as blocker, but as per 1.8 is not a regression. Someone can test 1.7.4 or earlier?

#5 - 2013-05-31 07:38 AM - Victor Axbom

Giovanni Manghi wrote:

Victor Axbom wrote:

It happens both on master and 1.8

Giovanni Manghi wrote:

this happens really on master on on qgis 1.8?

are you using a recent revision of qgis master? I have the feeling that this bug was already fixed, but now I'm not sure anymore.

A couple of days old so if it hasn't been fixed in the last days it's seems to still be in there. But maybe it behavs different on other platforms? Im using win xp

#6 - 2013-05-31 07:40 AM - Giovanni Manghi

A couple of days old so if it hasn't been fixed in the last days it's seems to still be in there. But maybe it behavs different on other platforms? Im using

win xp

I tested the latest master and I confirm it.

#7 - 2013-05-31 08:17 AM - Jürgen Fischer

- Target version deleted (Future Release - Nice to have)

#8 - 2013-06-01 04:02 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #7351
